Index: c/src/lib/libbsp/m68k/av5282/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/av5282/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/av5282/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -44,5 +44,5 @@
 uint32_t get_CPU_clock_speed(void);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/csb360/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/csb360/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/csb360/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -152,5 +152,5 @@
 /* miscellaneous stuff assumed to exist */
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 extern rtems_isr (*rtems_clock_hook)(rtems_vector_number);
@@ -158,5 +158,5 @@
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/gen68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/gen68302/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -62,9 +62,9 @@
 /* miscellaneous stuff assumed to exist */
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/gen68340/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -52,9 +52,9 @@
 /* Structures */
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/gen68340/startup/init68340.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/startup/init68340.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/gen68340/startup/init68340.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -23,5 +23,5 @@
 void _Init68340 (void)
 {
-	m68k_isr_entry *vbr;
+	rtems_isr_entry *vbr;
 	int i;
 
Index: c/src/lib/libbsp/m68k/gen68360/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/gen68360/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -62,5 +62,5 @@
   }
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
@@ -73,5 +73,5 @@
 extern int m360_clock_rate; /* BRG clock rate, defined in console.c */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/gen68360/startup/init68360.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/startup/init68360.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/gen68360/startup/init68360.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -46,5 +46,5 @@
 {
 	int i;
-	m68k_isr_entry *vbr;
+	rtems_isr_entry *vbr;
 	unsigned long ramSize;
 	volatile unsigned long *RamBase_p;
Index: c/src/lib/libbsp/m68k/genmcf548x/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/genmcf548x/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -82,5 +82,5 @@
 uint32_t get_CPU_clock_speed(void);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/idp/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/idp/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -24,9 +24,9 @@
 #define RAM_END   0x200000
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/idp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/idp/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -31,5 +31,5 @@
 void bsp_start( void )
 {
-  m68k_isr_entry       *monitors_vector_table;
+  rtems_isr_entry       *monitors_vector_table;
   int                   index;
 
@@ -40,5 +40,5 @@
    *  Set the VBR here to the monitor's default.
    */
-  monitors_vector_table = (m68k_isr_entry *)0;
+  monitors_vector_table = (rtems_isr_entry *)0;
    /* This is where you set vector base register = 0 */
   m68k_set_vbr( monitors_vector_table );
Index: c/src/lib/libbsp/m68k/mcf5206elite/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mcf5206elite/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -163,5 +163,5 @@
 
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 extern rtems_isr (*rtems_clock_hook)(rtems_vector_number);
@@ -169,5 +169,5 @@
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mcf52235/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mcf52235/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -44,5 +44,5 @@
 uint32_t bsp_get_CPU_clock_speed(void);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mcf5225x/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mcf5225x/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mcf5225x/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -65,5 +65,5 @@
 uint32_t bsp_get_CPU_clock_speed(void);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mcf5235/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mcf5235/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -38,5 +38,5 @@
 
 uint32_t get_CPU_clock_speed(void);
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mcf5329/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mcf5329/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -44,5 +44,5 @@
 uint32_t bsp_get_BUS_clock_speed(void);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mrm332/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mrm332/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -87,5 +87,5 @@
 /* miscellaneous stuff assumed to exist */
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 extern int stack_size;
@@ -94,5 +94,5 @@
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mrm332/start/start.S
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/start/start.S	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mrm332/start/start.S	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -121,5 +121,5 @@
    */
   {
-    m68k_isr_entry *monitors_vector_table;
+    rtems_isr_entry *monitors_vector_table;
 
     m68k_get_vbr(monitors_vector_table);
Index: c/src/lib/libbsp/m68k/mrm332/startup/start_c.c
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/startup/start_c.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mrm332/startup/start_c.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -8,6 +8,6 @@
 #include "bsp.h"
 
-m68k_isr_entry M68Kvec[256];
-m68k_isr_entry vectors[256];
+rtems_isr_entry M68Kvec[256];
+rtems_isr_entry vectors[256];
 
 void  boot_card(const char *cmdline);
@@ -95,5 +95,5 @@
    */
   {
-    m68k_isr_entry *monitors_vector_table;
+    rtems_isr_entry *monitors_vector_table;
 
     m68k_get_vbr(monitors_vector_table);
Index: c/src/lib/libbsp/m68k/mvme136/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme136/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -81,9 +81,9 @@
 };
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme136/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -25,8 +25,8 @@
 void bsp_start( void )
 {
-  m68k_isr_entry *monitors_vector_table;
+  rtems_isr_entry *monitors_vector_table;
   int             index;
 
-  monitors_vector_table = (m68k_isr_entry *)0;   /* 135Bug Vectors are at 0 */
+  monitors_vector_table = (rtems_isr_entry *)0;   /* 135Bug Vectors are at 0 */
   m68k_set_vbr( monitors_vector_table );
 
Index: c/src/lib/libbsp/m68k/mvme147/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme147/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -105,9 +105,9 @@
 #endif
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme147/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -29,8 +29,8 @@
 void bsp_start( void )
 {
-  m68k_isr_entry       *monitors_vector_table;
+  rtems_isr_entry       *monitors_vector_table;
   int                   index;
 
-  monitors_vector_table = (m68k_isr_entry *)0;   /* 135Bug Vectors are at 0 */
+  monitors_vector_table = (rtems_isr_entry *)0;   /* 135Bug Vectors are at 0 */
   m68k_set_vbr( monitors_vector_table );
 
Index: c/src/lib/libbsp/m68k/mvme147s/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme147s/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -176,5 +176,5 @@
 #endif
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /*
@@ -184,5 +184,5 @@
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme147s/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -28,9 +28,9 @@
 void bsp_start( void )
 {
-  m68k_isr_entry       *monitors_vector_table;
+  rtems_isr_entry       *monitors_vector_table;
   int                   index;
   uint8_t               node_number;
 
-  monitors_vector_table = (m68k_isr_entry *)0;   /* 147Bug Vectors are at 0 */
+  monitors_vector_table = (rtems_isr_entry *)0;   /* 147Bug Vectors are at 0 */
   m68k_set_vbr( monitors_vector_table );
 
Index: c/src/lib/libbsp/m68k/mvme162/README
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/README	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme162/README	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -115,5 +115,5 @@
 - bspstart.c was modified as follows:
 
-         monitors_vector_table = (m68k_isr *)0xFFE00000;
+         monitors_vector_table = (rtems_isr *)0xFFE00000;
 
 was made to point to the power-up location of MVME162 interrupt vector
Index: c/src/lib/libbsp/m68k/mvme162/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme162/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -186,9 +186,9 @@
 #define MOT_162BUG_VEC_ADDRESS  0x00000000
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme162/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -32,8 +32,8 @@
 void bsp_start( void )
 {
-  m68k_isr_entry       *monitors_vector_table;
+  rtems_isr_entry       *monitors_vector_table;
   int                   index;
 
-  monitors_vector_table = (m68k_isr_entry *)MOT_162BUG_VEC_ADDRESS;
+  monitors_vector_table = (rtems_isr_entry *)MOT_162BUG_VEC_ADDRESS;
   m68k_set_vbr( monitors_vector_table );
 
Index: c/src/lib/libbsp/m68k/mvme167/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme167/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -297,5 +297,5 @@
 /* BSP-wide functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
@@ -311,5 +311,5 @@
 #endif
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/m68k/mvme167/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/startup/bspstart.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/mvme167/startup/bspstart.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -27,5 +27,5 @@
 
 void M68KFPSPInstallExceptionHandlers (void);
-extern m68k_isr_entry  M68Kvec[];
+extern rtems_isr_entry  M68Kvec[];
 
 /*
@@ -58,5 +58,5 @@
 void bsp_start( void )
 {
-  m68k_isr_entry *rom_monitor_vector_table;
+  rtems_isr_entry *rom_monitor_vector_table;
   int index;
 
@@ -64,5 +64,5 @@
    *  167Bug Vectors are at 0xFFE00000
    */
-  rom_monitor_vector_table = (m68k_isr_entry *)0xFFE00000;
+  rom_monitor_vector_table = (rtems_isr_entry *)0xFFE00000;
   m68k_set_vbr( rom_monitor_vector_table );
 
Index: c/src/lib/libbsp/m68k/ods68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -69,9 +69,9 @@
 #endif
 
-extern m68k_isr_entry M68Kvec[];   /* vector table address */
+extern rtems_isr_entry M68Kvec[];   /* vector table address */
 
 /* functions */
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/m68k/shared/setvec.c
===================================================================
--- c/src/lib/libbsp/m68k/shared/setvec.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/shared/setvec.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -21,5 +21,5 @@
 #include <bsp.h>
 
-m68k_isr_entry set_vector(                      /* returns old vector */
+rtems_isr_entry set_vector(                      /* returns old vector */
   rtems_isr_entry     handler,                  /* isr routine        */
   rtems_vector_number vector,                   /* vector number      */
@@ -34,4 +34,4 @@
     _CPU_ISR_install_raw_handler( vector, handler, (void *)&previous_isr );
   }
-  return (m68k_isr_entry) previous_isr;
+  return (rtems_isr_entry) previous_isr;
 }
Index: c/src/lib/libbsp/m68k/sim68000/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/sim68000/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -51,5 +51,5 @@
 /* functions */
 
-m68k_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
+rtems_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
 
 #ifdef __cplusplus
Index: c/src/lib/libbsp/m68k/uC5282/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/include/bsp.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/lib/libbsp/m68k/uC5282/include/bsp.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -72,5 +72,5 @@
 int bsp_flash_write_range(volatile unsigned short *flashptr, bsp_mnode_t *chain, int offset);
 
-m68k_isr_entry set_vector(
+rtems_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/libchip/network/open_eth.c
===================================================================
--- c/src/libchip/network/open_eth.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/libchip/network/open_eth.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -56,7 +56,5 @@
 #endif
 
-#if defined(__m68k__)
-extern m68k_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
-#elif defined(__lm32__)
+#if defined(__lm32__)
 extern lm32_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
 #else
Index: c/src/libchip/network/sonic.c
===================================================================
--- c/src/libchip/network/sonic.c	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ c/src/libchip/network/sonic.c	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -55,9 +55,5 @@
 #include <netinet/if_ether.h>
 
-#if defined(__m68k__)
-extern m68k_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
-#else
 extern rtems_isr_entry set_vector( rtems_isr_entry, rtems_vector_number, int );
-#endif
 
 #if (SONIC_DEBUG & SONIC_DEBUG_DUMP_MBUFS)
Index: cpukit/score/cpu/m68k/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/types.h	(revision 08b9d534604fbf437743a9925ef28eb1b848510d)
+++ cpukit/score/cpu/m68k/rtems/score/types.h	(revision 1fec9e0357c3988c4e8587d63d6d694a229dcce2)
@@ -33,6 +33,4 @@
 
 typedef uint16_t     Priority_bit_map_Control;
-typedef void m68k_isr;
-typedef void ( *m68k_isr_entry )( void );
 
 #ifdef __cplusplus
